import * as $dara from '@darabonba/typescript';
import { DescribeVpnGatewayAvailableZonesResponseBody } from "./DescribeVpnGatewayAvailableZonesResponseBody";
export declare class DescribeVpnGatewayAvailableZonesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeVpnGatewayAvailableZonesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
